Get the current project
Retrieve the project associated with the project token used to authenticate the request.
Retrieve the project associated with the project token used to authenticate the request.
Authorization
projectToken Authenticate as a project with a project token.
Send it as a bearer token in the Authorization header:
Authorization: Bearer <project-token>You can find your project token in your Snapvisor project settings. Project tokens are used by CI and the SDK to create builds and deployments.
In: header
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/project"{ "id": "string", "account": { "id": "string", "slug": "string" }, "name": "string", "defaultBaseBranch": "string", "hasRemoteContentAccess": true, "autoApprovedBranchGlob": "string", "deploymentProductionBranchGlob": "string", "private": true, "summaryCheck": "always", "prCommentEnabled": true, "githubActionsOidcEnabled": true, "tokenlessAuthEnabled": true, "deploymentEnabled": true, "deploymentAuth": "public", "defaultUserLevel": "admin", "ignoreConfig": { "enabled": true, "autoIgnore": { "changes": 1 } }}List an account's projects GET
List the projects of an account that are visible to the authenticated user, most recently active first. Results are paginated. The token must be scoped to the account. Use it to find the project names of an account before calling the project, build or test tools.
Create a project POST
Create a new project in an account you administer. The authenticated personal access token must be scoped to the target account, and the acting user must be an administrator of it. Use it when the user wants to start visual testing for a new app or repository.